<?PHP
/*
 * DIREITOS AUTORAIS RESERVADOS (C) 2007 UFRJ
 * 
 * ESTE PROGRAMA É SOFTWARE LIVRE; VOCÊ PODE REDISTRIBUÍ-LO E/OU MODIFICÁ-LO SOB OS
 * TERMOS DA LICENÇA PÚBLICA GERAL GNU CONFORME PUBLICADA PELA FREE SOFTWARE FOUNDATION;
 * TANTO A VERSÃO 2 DA LICENÇA, COMO (A SEU CRITÉRIO) QUALQUER VERSÃO POSTERIOR.

 * ESTE PROGRAMA É DISTRIBUÍDO NA EXPECTATIVA DE QUE SEJA ÚTIL, PORÉM, SEM NENHUMA GARANTIA;
 * NEM MESMO A GARANTIA IMPLÍCITA DE COMERCIABILIDADE OU ADEQUAÇÃO A UMA FINALIDADE ESPECÍFICA.
 * CONSULTE A LICENÇA PÚBLICA GERAL DO GNU PARA MAIS DETALHES.
 * 
 * VOCÊ DEVE TER RECEBIDO UMA CÓPIA DA LICENÇA PÚBLICA GERAL DO GNU JUNTO COM ESTE PROGRAMA; 
 * SE NÃO, ACESSE <<HTTP://WWW.GNU.ORG/LICENSES/LICENSES.PT-BR.HTML>>
 */

<?
   $p=$_GET['url'];
   $p1=base64_decode($p);
   $p="url=".$p;
   $perfil="";
   $i=10;
   $user1="";
   while(!($p1[$i] == 'f' && $p1[$i+1] == '&' && $p1[$i+2] == 'E'))
   {
      $user1=$user1.$p1[$i];
      $i++;
   }
   $i=$i+3;
   $perfil="";
   while (($i!= strlen($p1)) && !($p1[$i] == 'b' && $p1[$i+1] == '&' && $p1[$i+2] == 'A'))
   {
      $perfil=$perfil.$p1[$i];
      $i++;
   }
   if (strcmp(md5("ASSS"),$perfil) == 0)
          $tipo=1;
   else if (strcmp(md5("ASNN"), $perfil) == 0)
          $tipo=2;
   else if (strcmp(md5("ANSN"), $perfil) == 0)
          $tipo=3;
   else if (strcmp(md5("ASSN"), $perfil) == 0)
          $tipo=4;
   else if (strcmp(md5("CNNN"), $perfil) == 0)
          $tipo=5;
   include "defineTipos.php";
   $i=$i+3;
   $user2="";
   $elemento="";
   while(!($p1[$i] == 'd' && $p1[$i+1] == '&' && $p1[$i+2] == 'C'))
   {
      if ( strlen($p1)-$i == 10)
      {
         $user2=$elemento;

         break;
      }
      $elemento=$elemento.$p1[$i];
      $i=$i+1;
   }
   if (strlen($user2) == 0)
   {
      $senha=$elemento;
      $i=$i+3;
      $j=strlen($p1)-10;
      $user2="";
      while($i<$j)
      {
         $user2=$user2.$p1[$i];
         $i=$i+1;
      }
   }
   $usuario="";
   $user=$user1.$user2;

   $i=strlen($user);
   While ($i >= 0)
   {
     $usuario=$usuario.$user[$i];
     $i=$i-1;;
   }
   
?>
